/*************************************************************************************
 *  Copyright (C) 2019 by Rituka Patwal <ritukapatwal21@gmail.com>                   *
 *                                                                                   *
 *  This library is free software; you can redistribute it and/or                    *
 *  modify it under the terms of the GNU Lesser General Public                       *
 *  License as published by the Free Software Foundation; either                     *
 *  version 2.1 of the License, or (at your option) any later version.               *
 *                                                                                   *
 *  This library is distributed in the hope that it will be useful,                  *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of                   *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU                *
 *  Lesser General Public License for more details.                                  *
 *                                                                                   *
 *  You should have received a copy of the GNU Lesser General Public                 *
 *  License along with this library; if not, write to the Free Software              *
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA   *
 *************************************************************************************/
#pragma once

#include <QObject>
#include <QUrl>

#include <sink/store.h>

class SyncContacts : public QObject
{
    Q_OBJECT

public:
    SyncContacts();
    SyncContacts(quint32 accountId, QString server, QString userName, QString password);
    ~SyncContacts();

public Q_SLOTS:
    void createResource();
    void synchContact(QByteArray rid);

private:
    quint32 m_accountId;
    QUrl m_server;
    QString m_userName;
    QString m_password;
};
